-- Blitzkrieg Single Player
-- Operation Crusader
-- Bir El Gobi, Egypt, November 1941
-- Map made by KAOZ // November 2006 > March 2007
-- Thanx to SciTE -- BK -- all mappers for .lua explanationz
------------------------------------------------------------------------

-- Debugz --------------------------------------------------------------

function DebugView()
	Password("Panzerklein"); 
	DisplayTrace("Test123"); 
	ShowActiveScripts();
	God(0, 2); 
	Suicide(); 
end;

function Info()
	DisplayTrace("Bir El Gobi");
	DisplayTrace("Egypt, November 1941");
	DisplayTrace("Map by KAOZ");
	Suicide();
end;

-- Objectivez -----------------------------------------------------------
	
function RevealObjective0()
	ObjectiveChanged(0, 0);
	RunScript("Objective0", 1000);
	Suicide();
end;

function Objective0()
	local i = 0;
	if (GetNUnitsInScriptGroup(119, 1) <= 1) then
	ObjectiveChanged(0, 1);
	i = GetIGlobalVar("numbMissionDone", 0);
	i = i + 1;
	SetIGlobalVar("numbMissionDone", i);
	Suicide();
	end;
end;

function RevealObjective1()
	ObjectiveChanged(1, 0);
	RunScript("Objective1", 1000);
	Suicide();
end;

function Objective1()
	local i = 0;
	if (GetNUnitsInScriptGroup(120, 1) <= 1) then
	ObjectiveChanged(1, 1);
	i = GetIGlobalVar("numbMissionDone", 0);
	i = i + 1;
	SetIGlobalVar("numbMissionDone", i);
	Suicide();
	end;
end;

function ToLose()
	if ((GetNUnitsInArea(0, "birElGobi") <= 6) or
	(GetNUnitsInArea(0, "birElDleua") <= 6)) then
	Loose();
	Suicide();
	end;
end;

function ObjChange0()	
	if (GetIGlobalVar("numbMissionDone", 0) == 2) then
	RunScript("RevealObjective2", 1000);
	KillScript("ToLose");
	Suicide();
	end;
end;

function RevealObjective2()
	ObjectiveChanged(2, 0);
	RunScript("Objective2", 2000);
	Suicide();
end;

function Objective2()
	if (GetNUnitsInArea(1, "elCuasc") <= 3) then
	ObjectiveChanged(2, 1);
	RunScript("RevealObjective3", 1000);
	Suicide();
	end;
end;

function RevealObjective3()
	ObjectiveChanged(3, 0);
	RunScript("Objective3", 1000);
	Suicide();
end;

function Objective3()
	if (GetNUnitsInArea(1, "taibElEsem") == 0) then
	ObjectiveChanged(3, 1);
	Win(0);
	Suicide();
	end;
end;

-- Reportz --------------------------------------------------------------

function GerOff()
	DisplayTrace("German Officer: 'Have patience, more German assistance is underway...'");
	Suicide();
end;

function Reportz0()
	DisplayTrace("Italian Report: 'Alarm! British Crusaders and Mathildas spotted, heading to Bir El Gobi! Prepare!'");
	Suicide();
end;

function Reportz1()
	DisplayTrace("Italian Report: 'Alarm! British Crusaders and Mathildas spotted, heading to Bir El Dleua!'");
	Suicide();
end;

function Reportz2()
	DisplayTrace("German Officer: 'Our German brothers are here'");
	Suicide();
end;

-- Reinforcementz -------------------------------------------------------

function Reinforce0()
	LandReinforcement(0);
	Suicide();
end;

-- Planez ---------------------------------------------------------------

function NoPlanez()
	DisableAviation(1, -1);
	Suicide();
end;

function CutPlanez()
	if (GetNUnitsInScriptGroup(121, 1) <= 1) then
	RunScript("NoPlanez", 1000);
	DisplayTrace("Italian Report: The British are losing control... The Royal Air Force will no longer fly...'");
	Suicide();
	end;
end;

function Para()
	Cmd(22, 996, 0, 7619, 1230);
	Suicide();
end;

-- Scriptz ---------------------------------------------------------------

function Init()
--	RunScript("DebugView", 1000);
	RunScript("Info", 1000);
	RunScript("RevealObjective0", 1000);
	RunScript("ObjChange0", 2000);
	RunScript("CutPlanez", 2000);
	RunScript("ToLose", 3000);
	RunScript("Para", 3000);
	RunScript("RevealObjective1", 4000);
	RunScript("Reportz0", 7000);
	RunScript("Reportz1", 17000);
	RunScript("GerOff", 27000);
	RunScript("Reinforce0", 49000);
	RunScript("Reportz2", 50000);
end;	



